Anonymous Login
2018-12-15 14:31 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001645OpenClonkObjectspublic2016-02-01 09:34
ReporterMaikel 
Assigned ToMaikel 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Versiongit master 
Summary0001645: Constructions can be placed in front of a complete elevator.
DescriptionThis is because the elevator has a different plane and this is used in ConstructionCheck/Game.OverlapObject.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0004838

Clonkonaut (developer)

Why is it not enough to have Exclusive=1 in the DefCore?

~0004839

Maikel (developer)

Because someone wrote a Plane check in Game.OverlapObject. If there are no side effects we can change that to Exclusive.
+Notes

-Issue History
Date Modified Username Field Change
2016-01-20 15:27 Maikel New Issue
2016-01-20 16:12 Clonkonaut Note Added: 0004838
2016-01-20 17:59 Maikel Note Added: 0004839
2016-02-01 09:34 Maikel Status new => resolved
2016-02-01 09:34 Maikel Fixed in Version => git master
2016-02-01 09:34 Maikel Resolution open => fixed
2016-02-01 09:34 Maikel Assigned To => Maikel
+Issue History